> ## Documentation Index
> Fetch the complete documentation index at: https://docs.0d.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Vault Metadata

> Get detailed metadata for a specific vault



## OpenAPI

````yaml open-apis/0d.json get /vaults/{vault_id}
openapi: 3.1.0
info:
  title: zerod_api
  description: 0D Master API for vaults
  license:
    name: MIT
    identifier: MIT
  version: 0.1.0
servers:
  - url: https://api.0d.finance/{version}
    variables:
      version:
        default: v1
        enum:
          - v1
security: []
tags:
  - name: zerod_bin
    description: 0d, master api
  - name: User
    description: User profile endpoints
  - name: Vaults
    description: Vault management endpoints
paths:
  /vaults/{vault_id}:
    get:
      tags:
        - Vaults
      operationId: get_vault
      parameters:
        - name: vault_id
          in: path
          description: Vault identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Vault metadata with live values
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Vault'
        '404':
          description: Vault not found
        '500':
          description: Internal server error
components:
  schemas:
    Vault:
      type: object
      required:
        - id
        - name
        - chain
        - symbol
        - base_asset
        - status
        - tvl
        - share_price
        - perf_fee_bps
        - contract
        - deposit_constraints
        - withdraw_constraints
        - icons
        - api_endpoint
      properties:
        api_endpoint:
          type: string
        base_asset:
          type: string
        chain:
          type: string
        chain_id:
          type:
            - string
            - 'null'
        contract:
          $ref: '#/components/schemas/Contract'
        deposit_constraints:
          $ref: '#/components/schemas/DepositConstraints'
        description:
          type:
            - string
            - 'null'
        docs_url:
          type:
            - string
            - 'null'
        icons:
          $ref: '#/components/schemas/Icons'
        id:
          type: string
        inception_date:
          type:
            - string
            - 'null'
        mgmt_fee_bps:
          type:
            - integer
            - 'null'
          format: int32
        name:
          type: string
        perf_fee_bps:
          type: integer
          format: int32
        share_price:
          type: string
        status:
          type: string
        strategy_brief:
          type:
            - string
            - 'null'
        symbol:
          type: string
        tvl:
          type: string
        withdraw_constraints:
          $ref: '#/components/schemas/WithdrawConstraints'
    Contract:
      type: object
      required:
        - address
      properties:
        address:
          type: string
    DepositConstraints:
      type: object
      properties:
        max_deposit:
          type:
            - string
            - 'null'
        min_deposit:
          type:
            - string
            - 'null'
        paused:
          type:
            - boolean
            - 'null'
    Icons:
      type: object
      properties:
        dark:
          type:
            - string
            - 'null'
        light:
          type:
            - string
            - 'null'
    WithdrawConstraints:
      type: object
      properties:
        instant_liquidity:
          type:
            - boolean
            - 'null'
        instant_slippage_max_bps:
          type:
            - integer
            - 'null'
          format: int32
        redeem_24h_threshold_pct_of_aum:
          type:
            - number
            - 'null'
          format: double
        redeem_48h_above_threshold:
          type:
            - boolean
            - 'null'

````